Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class Shape

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.Shape

    public class Shape
    extends java.lang.Object

Represents the internal makings of a Shape.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Shape​(int parentOffset, int figureOffset, byte openGISType)` | Creates a Shape object

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getFigureOffset()` | Returns the figureOffset value.
`byte` | `getOpenGISType()` | Returns the openGISType value.
`int` | `getParentOffset()` | Returns the parentOffset value.
`void` | `setFigureOffset​(int fo)` | Sets the figureOffset value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Shape

public Shape​(int parentOffset, int figureOffset, byte openGISType)
Creates a Shape object

Parameters:
  `parentOffset` - parent offset
  `figureOffset` - figure offset
  `openGISType` - open GIS type

## Method Details

### getParentOffset

public int getParentOffset()
Returns the parentOffset value.

Returns:
  int parentOffset value.

### getFigureOffset

public int getFigureOffset()
Returns the figureOffset value.

Returns:
  int figureOffset value.

### getOpenGISType

public byte getOpenGISType()
Returns the openGISType value.

Returns:
  byte openGISType value.

### setFigureOffset

public void setFigureOffset​(int fo)
Sets the figureOffset value.

Parameters:
  `fo` - figureOffset value.